---
id: 65825e96b5db5f5dee6bf57c
title: Step 47
challengeType: 20
dashedName: step-47
---

# --description--

After getting the category, print the following f-string `f'\nExpenses for {category}:'`.

# --hints--

You should print `f'\nExpenses for {category}:'` after the assignment of `category`.

```js
({ test: () => assert(runPython(`_Node(_code).find_function("main").find_whiles()[0].find_bodies()[0].find_ifs()[0].find_bodies()[3].is_equivalent("category = input('Enter category to filter: ')\\nprint(f'\\\\nExpenses for {category}:')")`)) })
```

# --seed--

## --seed-contents--

```py
def add_expense(expenses, amount, category):
    expenses.append({'amount': amount, 'category': category})
    
def print_expenses(expenses):
    for expense in expenses:
        print(f'Amount: {expense["amount"]}, Category: {expense["category"]}')
    
def total_expenses(expenses):
    return sum(map(lambda expense: expense['amount'], expenses))
    
def filter_expenses_by_category(expenses, category):
    return filter(lambda expense: expense['category'] == category, expenses)
    

def main():
    expenses = []
    while True:
        print('\nExpense Tracker')
        print('1. Add an expense')
        print('2. List all expenses')
        print('3. Show total expenses')
        print('4. Filter expenses by category')
        print('5. Exit')
       
        choice = input('Enter your choice: ')

        if choice == '1':
            amount = float(input('Enter amount: '))
            category = input('Enter category: ')
            add_expense(expenses, amount, category)

        elif choice == '2':
            print('\nAll Expenses:')
            print_expenses(expenses)

        elif choice == '3':
            print('\nTotal Expenses: ', total_expenses(expenses))
--fcc-editable-region--
        elif choice == '4':
            category = input('Enter category to filter: ')
            
--fcc-editable-region--
```
